## libsysperf 0.1.4

=== Makefile ===
# This file is part of libsysperf.
#
# Copyright (C) 2001, 2004-2007 by Nokia Corporation
#
# Contact: Eero Tamminen <eero.tamminen@nokia.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License 
# version 2 as published by the Free Software Foundation. 
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA

# =============================================================================
# File: Makefile
# 
# Author: Simo Piiroinen
# 
# -----------------------------------------------------------------------------
# 
# History:
#
# 07-Jul-2005 Simo Piiroinen
# - scans python files too for changelog 
# - cleanup
#
# 06-Jul-2005 Simo Piiroinen
# - generates man files for binaries
# - added: sp_fix_tool_vers
# - added: sp_gen_manfile
# - added: sp_textconv
#
# 05-Jul-2005 Simo Piiroinen
# - removed: sp_csv_filter
# - exports: sp_gen_changelog
# - debian/rules compatible install
# - cleanup
#
# 28-Jun-2005 Simo Piiroinen
# - added sp_csv_filter.c, calculator.c, array.c, str_array.c
#
# 22-Jun-2005 Simo Piiroinen
# - added writer.c
#
# 21-Jun-2005 Simo Piiroinen
# - initial version
# =============================================================================

# -----------------------------------------------------------------------------
# Directory Config
# -----------------------------------------------------------------------------
NAME   ?= libsysperf
ROOT   ?= /tmp/$(NAME)-testing
PREFIX ?= /usr
BIN    ?= $(PREFIX)/bin
LIB    ?= $(PREFIX)/lib
HDR    ?= $(PREFIX)/include/$(NAME)
MAN1   ?= $(PREFIX)/share/man/man1

# -----------------------------------------------------------------------------
# Common Compilation Options
# -----------------------------------------------------------------------------

BUILD  ?= final

CFLAGS  += -Wall
CFLAGS  += -Werror
CFLAGS  += -std=c99
CFLAGS  += -D_GNU_SOURCE


ifeq ($(BUILD),debug)
CFLAGS  += -g# -finstrument-functions
LDFLAGS += -g
endif

ifeq ($(BUILD),gprof)
CFLAGS  += -g -pg
LDFLAGS += -g -pg
CFLAGS  += -O0
endif

ifeq ($(BUILD),final)
CFLAGS  += -O3
LDFLAGS += -s
endif

# -----------------------------------------------------------------------------
# Development Package Files
# -----------------------------------------------------------------------------

BIN_TARGETS += sp_gen_changelog
BIN_TARGETS += sp_fix_tool_vers
BIN_TARGETS += sp_gen_manfile
BIN_TARGETS += sp_textconv

LIB_TARGETS += libsysperf.a

MAN_TARGETS += $(patsubst %,%.1.gz,$(BIN_TARGETS))

HEADERS +=\
	argvec.h\
	array.h\
	calculator.h\
	calculator.inc\
	cstring.h\
	csv_float.h\
	csv_table.h\
	csv_calc.h\
	hash.h\
	mem_pool.h\
	msg.h\
	reader.h\
	release.h\
	str_array.h\
	str_pool.h\
	writer.h\
	xmalloc.h\
	proc_maps.h\
	proc_meminfo.h\
	proc_meminfo.inc\
	proc_stat.h\
	proc_statm.h\
	proc_status.h


# -----------------------------------------------------------------------------
# Top Level Targets
# -----------------------------------------------------------------------------

TARGETS = $(LIB_TARGETS) $(BIN_TARGETS) $(MAN_TARGETS)

.PHONY: build clean mostlyclean distclean tags depend install changelog

build:: $(TARGETS) $(HEADERS)

install:: install-dev

clean:: mostlyclean
	$(RM) $(TARGETS)

mostlyclean::
	$(RM) *.o *.q *~
	
distclean:: clean	
	$(RM) tags

tags::
	ctags *.c *.h

changelog::
	./sp_gen_changelog.py >$@ *.c *.h *.inc *.py Makefile

.PHONY: tree
tree :: install
	tree $(ROOT)

# -----------------------------------------------------------------------------
# Compilation Macros & Rules
# -----------------------------------------------------------------------------

# C -> asm
%.q	: %.c
	$(CC) -S -o $@ $(CFLAGS) $<

# PY -> installable script
%	: %.py
	./sp_fix_tool_vers.py -f$< -o$@
	@chmod a-w $@

# generating MAN pages
%.1.gz : %.1
	gzip -9 -c <$< >$@
%.1    : %
	./sp_gen_manfile.py -c ./$< -o $@
	
# updating static libraries
lib%.a :
	$(AR) ru $@ $^

# -----------------------------------------------------------------------------
# Installation Macros & Rules
# -----------------------------------------------------------------------------

INSTALL_DIR = $(if $1, install -m755 -d $2/)
INSTALL_MAN = $(if $1, install -m644 $1 $2/)
INSTALL_BIN = $(if $1, install -m755 $1 $2/)
INSTALL_LIB = $(if $1, install -m644 $1 $2/)
INSTALL_HDR = $(if $1, install -m644 $1 $2/)

install-%-man::
	$(call INSTALL_DIR,$^,$(ROOT)$(MAN1))
	$(call INSTALL_MAN,$^,$(ROOT)$(MAN1))
	
install-%-bin::
	$(call INSTALL_DIR,$^,$(ROOT)$(BIN))
	$(call INSTALL_BIN,$^,$(ROOT)$(BIN))

install-%-lib::
	$(call INSTALL_DIR,$^,$(ROOT)$(LIB))
	$(call INSTALL_LIB,$^,$(ROOT)$(LIB))

install-%-hdr::
	$(call INSTALL_DIR,$^,$(ROOT)$(HDR))
	$(call INSTALL_HDR,$^,$(ROOT)$(HDR))

# -----------------------------------------------------------------------------
# Development Package Installation
# -----------------------------------------------------------------------------

install-dev:: install-dev-lib install-dev-hdr install-dev-bin install-dev-man
install-dev-bin:: $(BIN_TARGETS)
install-dev-man:: $(MAN_TARGETS)
install-dev-lib:: $(LIB_TARGETS)
install-dev-hdr:: $(HEADERS)


# -----------------------------------------------------------------------------
# Dependency Scanning
# -----------------------------------------------------------------------------

ifneq ($(MAKECMDGOALS),depend)
include .depend
endif

depend::
	gcc -MM *.c > .depend

# -----------------------------------------------------------------------------
# Target Specific Dependencies
# -----------------------------------------------------------------------------

libsysperf.a : \
	msg.o\
	argvec.o\
	xmalloc.o\
	cstring.o\
	csv_table.o\
	csv_float.o\
	csv_calc.o\
	hash.o\
	mem_pool.o\
	reader.o\
	writer.o\
	str_pool.o\
	calculator.o\
	array.o\
	str_array.o\
	proc_maps.o\
	proc_meminfo.o\
	proc_stat.o\
	proc_statm.o\
	proc_status.o


sp_csv_filter : LDLIBS += -lm
sp_csv_filter : sp_csv_filter.o libsysperf.a

unused:\
fake_csv_pass.c\
fake_track.c\
str_split.c\
str_split.h


testmain: LDLIBS += -lm
testmain: testmain.o libsysperf.a

sp_csv_filter: CFLAGS += -I.
sp_csv_filter: LDLIBS += -lm
sp_csv_filter: sp_csv_filter.o libsysperf.a

# -----------------------------------------------------------------------------
# EOF
# -----------------------------------------------------------------------------

=== debian/changelog ===
libsysperf (0.1.4) unstable; urgency=low

  * Use libc double conversion function, the ones in cvs_float.c
    break with Glibc 2.5 for some reason
  * Fixes: NB#69398

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 13 Sep 2007 09:35:00 +0300

libsysperf (0.1.3) unstable; urgency=low

  * Applied some updates to contact information. Fixes: NB#64567

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 29 Aug 2007 16:18:41 +0300

libsysperf (0.1.2) unstable; urgency=low

  * Checked/fixed missing licencing information
  * Fixes: NB#64567

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 31 Jul 2007 17:42:08 +0300

libsysperf (0.1.1) unstable; urgency=low

  * fix: csv_load sets input source name
  * sp_fix_tool_vers: now checks release.h vs. debian/changelog
  * bugfix: csv output float normalization fixed

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 18 Jan 2007 16:17:59 +0200

libsysperf (0.1.0) unstable; urgency=low

  * csv api modified
  * csv calculator:
    - supports c-style: <expr>?<expr>:<expr>
    - supports conditional: <if-expr>#<then-expr>
    - short-cut evaluation for '&&' and '||'
  * /proc parsers moved to libsysperf

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  4 Oct 2006 12:48:14 +0300

libsysperf (0.0.8) unstable; urgency=low

  * sp_textconv: now supports include via '::INC path'
  * sp_gen_manfile: fixed double warning issues with section shuffling

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 26 Jan 2006 08:15:05 +0200

libsysperf (0.0.7) unstable; urgency=low

  * new query methods for csv_t and array_t

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 22 Sep 2005 17:38:45 +0300

libsysperf (0.0.6) unstable; urgency=low

  * csv_rowcalc method added for csv_t objects

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 14 Sep 2005 10:33:27 +0300

libsysperf (0.0.5) unstable; urgency=low

  * msg api defaults to verbosity >= warnings

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  9 Sep 2005 13:28:39 +0300

libsysperf (0.0.4) unstable; urgency=low

  * csv api cleaned up

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri, 22 Jul 2005 14:49:36 +0300

libsysperf (0.0.3) unstable; urgency=low

  * generates man files for binaries
  * added: sp_fix_tool_vers
  * added: sp_gen_manfile
  * added: sp_textconv

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  7 Jul 2005 09:08:30 +0300

libsysperf (0.0.2) unstable; urgency=low

  * Added: sp_gen_changelog

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  5 Jul 2005 10:54:25 +0300

libsysperf (0.0.1) unstable; urgency=low

  * Initial release.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue,  5 Jul 2005 09:42:22 +0300

=== debian/control ===
Source: libsysperf
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.1.0), python
Standards-Version: 3.6.1

Package: libsysperf-dev
Architecture: any
Depends: make, python, ${shlibs:Depends}
Suggests: 
Description: Helper utilities and API library for CSV file handling
 API library and utilities for development of system performance tools
 dealing with CSV files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: sh -*- -----------------------------------------------
# Debian rules for building libsysperf
#
# Targets:
#
# binary
#	Creates the DEB binaries
#
# build
#	Compiles the software
#
# install
#	Installs the compiled sw to DEB directories
#
# clean
#	Cleans up everything
#
# History:
# 05-Jul-2005 Simo Piiroinen
# - rules copied from tracktools
# ----------------------------------------------------------------
#
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean realclean install configure\
        binary-indep binary-arch binary

build:: build-stamp

binary:: binary-indep binary-arch

realclean:: clean

configure::
# nothing to do

#----------------------------------------------------------------
# compiling the software

build-stamp: configure
	dh_testdir
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean

#----------------------------------------------------------------
# debian cleanup
clean::
	dh_testdir
	dh_testroot
	dh_clean 

#----------------------------------------------------------------
# installation

ROOT=$(CURDIR)/debian/libsysperf-dev

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/${NAME}.
	$(MAKE) install ROOT=$(ROOT)

#	tree $(ROOT)

#----------------------------------------------------------------
# architecture-independent files -> DEBIAN dirs

binary-indep: #build install
# nothing to do

#----------------------------------------------------------------
# architecture-dependent files -> DEBIAN dirs

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#	tree $(CURDIR)/debian/libsysperf

## libsysperf 0.2.2%2b0m5

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,14 @@
 # Contact: Eero Tamminen <eero.tamminen@nokia.com>
 #
 # This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License 
-# version 2 as published by the Free Software Foundation. 
+# modify it under the terms of the GNU General Public License
+# version 2 as published by the Free Software Foundation.
 #
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
@@ -20,15 +20,15 @@
 
 # =============================================================================
 # File: Makefile
-# 
+#
 # Author: Simo Piiroinen
-# 
-# -----------------------------------------------------------------------------
-# 
+#
+# -----------------------------------------------------------------------------
+#
 # History:
 #
 # 07-Jul-2005 Simo Piiroinen
-# - scans python files too for changelog 
+# - scans python files too for changelog
 # - cleanup
 #
 # 06-Jul-2005 Simo Piiroinen
@@ -74,7 +74,6 @@
 CFLAGS  += -Werror
 CFLAGS  += -std=c99
 CFLAGS  += -D_GNU_SOURCE
-
 
 ifeq ($(BUILD),debug)
 CFLAGS  += -g# -finstrument-functions
@@ -130,7 +129,6 @@
 	proc_statm.h\
 	proc_status.h
 
-
 # -----------------------------------------------------------------------------
 # Top Level Targets
 # -----------------------------------------------------------------------------
@@ -148,8 +146,8 @@
 
 mostlyclean::
 	$(RM) *.o *.q *~
-	
-distclean:: clean	
+
+distclean:: clean
 	$(RM) tags
 
 tags::
@@ -180,7 +178,7 @@
 	gzip -9 -c <$< >$@
 %.1    : %
 	./sp_gen_manfile.py -c ./$< -o $@
-	
+
 # updating static libraries
 lib%.a :
 	$(AR) ru $@ $^
@@ -198,7 +196,7 @@
 install-%-man::
 	$(call INSTALL_DIR,$^,$(ROOT)$(MAN1))
 	$(call INSTALL_MAN,$^,$(ROOT)$(MAN1))
-	
+
 install-%-bin::
 	$(call INSTALL_DIR,$^,$(ROOT)$(BIN))
 	$(call INSTALL_BIN,$^,$(ROOT)$(BIN))
@@ -220,7 +218,6 @@
 install-dev-man:: $(MAN_TARGETS)
 install-dev-lib:: $(LIB_TARGETS)
 install-dev-hdr:: $(HEADERS)
-
 
 # -----------------------------------------------------------------------------
 # Dependency Scanning
@@ -259,7 +256,6 @@
 	proc_statm.o\
 	proc_status.o
 
-
 sp_csv_filter : LDLIBS += -lm
 sp_csv_filter : sp_csv_filter.o libsysperf.a
 
@@ -269,7 +265,6 @@
 str_split.c\
 str_split.h
 
-
 testmain: LDLIBS += -lm
 testmain: testmain.o libsysperf.a

=== debian/changelog ===
libsysperf (0.2.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 18 Jan 2010 10:17:32 +0200

libsysperf (0.2.2) unstable; urgency=low

  * Rebuild for Harmattan and relax version missmatcg check.
    Fixes: NB#153055 NB#151528

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Wed, 13 Jan 2010 13:01:28 +0200

libsysperf (0.2.1) unstable; urgency=low

  * Various issues reported by Coverity have been fixed. Fixes:
    NB#103722

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  4 Mar 2009 10:40:24 +0200

libsysperf (0.2.0) unstable; urgency=low

  * As jhash.h is no longer included in linux-kernel-headers, a copy has
    been explicitly added to this package (its license is loose enough
    to permit this). Fixes: NB#85383

 -- Eero Tamminen <eero.tamminen@nokia.com>  Tue, 13 May 2008 17:38:46 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.6.1
 
 Package: libsysperf-dev
+Section: libdevel
 Architecture: any
 Depends: make, python, ${shlibs:Depends}
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 
 #----------------------------------------------------------------
 # debian cleanup
